# : localhost
#  :  19 2004 ., 09:07
#  : 3.23.56

CREATE DATABASE cards;
use cards;

GRANT USAGE ON cards.* to cards@localhost;
GRANT SELECT,UPDATE,INSERT,DELETE,CREATE,DROP,ALTER,INDEX ON cards.* to cards@localhost;
SET PASSWORD FOR "cards"@"localhost"=PASSWORD("** cards **");
# --------------------------------------------------------


#
#   `cards`
#

CREATE TABLE cards (
  series varchar(4) NOT NULL default '0',
  added timestamp(14) NOT NULL,
  nominal double(8,6) NOT NULL default '0.000000',
  expired date NOT NULL default '0000-00-00',
  sn varchar(20) NOT NULL default '0',
  status enum('a','l','u') NOT NULL default 'a',
  used_at datetime NOT NULL default '0000-00-00 00:00:00',
  used_by varchar(128) default NULL,
  PRIMARY KEY  (series,sn)
) TYPE=MyISAM;
# --------------------------------------------------------

#
#   `errors`
#

CREATE TABLE `errors` (
  `when` timestamp(14) NOT NULL,
  `who` varchar(255) NOT NULL default '',
  `what` varchar(255) NOT NULL default ''
) TYPE=MyISAM;

use freenibs;
ALTER TABLE `actions` ADD `comment` VARCHAR( 128 ) AFTER `last_change`;
